import React, {useState, useEffect} from 'react'
import {OrderDetails} from 'components'
import { OrderService } from 'services';

const OrderIndexPage = () => {
    let [orders, setOrders] = useState([]);
    useEffect(() => {
        OrderService.allOrders().then((res: any) => {
            console.log(res)
            setOrders(res);
        });
    })
    
    
    const orderDetailsArr = orders.map((order: any, idx: any) => {
        return <tr key={idx}><OrderDetails
            date={order.date} 
            orderNumber={order.orderNumber}
            status="fulfilled"
            /></tr>
    })

    return (
        <table>
            <tbody>
                <tr>
                    <th>order number</th>
                    <th>date</th>
                    <th>status</th>
                </tr>
                {orderDetailsArr}
            </tbody>
            
        </table>
        
    )
}

export default OrderIndexPage
