import {
    BrowserRouter,
    Switch,
    Route,
  } from "react-router-dom";
  import {Nav} from 'components'

import { AccountPage, AuthPage, OrderIndexPage, OrderShowPage } from 'pages';

const MainRouter: React.FC = () => {
    return (
        <BrowserRouter>
            <Nav />
            <Switch>
                <Route path="/account" component={AccountPage} />
                <Route exact path="/" component={AuthPage} />
                <Route path="/orders/:id" component={OrderShowPage} />
                <Route path="/orders" component={OrderIndexPage} />
                {/* <Route component={NotFoundPage} /> */}
            </Switch>
        </BrowserRouter>
    )
}

export default MainRouter

  